Plutonium framework API 0.3.0 UI framework libraries for libnx

Public Member Functions | List of all members
pu::ui::render::Renderer Class Reference

`#include <render_Renderer.hpp>`

## Public Member Functions
| Renderer (const RendererInitOptions init_opts)
void | Initialize ()
void | Finalize ()
bool | HasInitialized ()
bool | HasRomFs ()
void | InitializeRender (const Color clr)
void | FinalizeRender ()
void | RenderTexture (sdl2::Texture texture, const i32 x, const i32 y, const TextureRenderOptions opts=TextureRenderOptions::Default)
void | RenderRectangle (const Color clr, const i32 x, const i32 y, const i32 width, const i32 height)
void | RenderRectangleFill (const Color clr, const i32 x, const i32 y, const i32 width, const i32 height)
void | RenderRectangleOutline (const Color clr, const i32 x, const i32 y, const i32 width, const i32 height, const i32 border_width)
void | RenderRoundedRectangle (const Color clr, const i32 x, const i32 y, const i32 width, const i32 height, const i32 radius)
void | RenderRoundedRectangleFill (const Color clr, const i32 x, const i32 y, const i32 width, const i32 height, const i32 radius)
void | RenderCircle (const Color clr, const i32 x, const i32 y, const i32 radius)
void | RenderCircleFill (const Color clr, const i32 x, const i32 y, const i32 radius)
void | RenderShadowSimple (const i32 x, const i32 y, const i32 width, const i32 height, const i32 base_alpha, const u8 main_alpha=0xFF)
void | SetBaseRenderPosition (const i32 x, const i32 y)
void | ResetBaseRenderPosition ()
void | SetBaseRenderAlpha (const u8 alpha)
void | ResetBaseRenderAlpha ()

## Constructor & Destructor Documentation

## ◆ Renderer()

pu::ui::render::Renderer::Renderer | ( | const RendererInitOptions | init_opts | ) |
| inline

## Member Function Documentation

## ◆ Finalize()

void pu::ui::render::Renderer::Finalize | ( |  | ) |

## ◆ FinalizeRender()

void pu::ui::render::Renderer::FinalizeRender | ( |  | ) |

## ◆ HasInitialized()

bool pu::ui::render::Renderer::HasInitialized | ( |  | ) |
| inline

## ◆ HasRomFs()

bool pu::ui::render::Renderer::HasRomFs | ( |  | ) |
| inline

## ◆ Initialize()

void pu::ui::render::Renderer::Initialize | ( |  | ) |

## ◆ InitializeRender()

void pu::ui::render::Renderer::InitializeRender | ( | const Color | clr | ) |

## ◆ RenderCircle()

void pu::ui::render::Renderer::RenderCircle | ( | const Color | clr,
|  | const i32 | x,
|  | const i32 | y,
|  | const i32 | radius
| ) |  |

## ◆ RenderCircleFill()

void pu::ui::render::Renderer::RenderCircleFill | ( | const Color | clr,
|  | const i32 | x,
|  | const i32 | y,
|  | const i32 | radius
| ) |  |

## ◆ RenderRectangle()

void pu::ui::render::Renderer::RenderRectangle | ( | const Color | clr,
|  | const i32 | x,
|  | const i32 | y,
|  | const i32 | width,
|  | const i32 | height
| ) |  |

## ◆ RenderRectangleFill()

void pu::ui::render::Renderer::RenderRectangleFill | ( | const Color | clr,
|  | const i32 | x,
|  | const i32 | y,
|  | const i32 | width,
|  | const i32 | height
| ) |  |

## ◆ RenderRectangleOutline()

void pu::ui::render::Renderer::RenderRectangleOutline | ( | const Color | clr,
|  | const i32 | x,
|  | const i32 | y,
|  | const i32 | width,
|  | const i32 | height,
|  | const i32 | border_width
| ) |  |
| inline

## ◆ RenderRoundedRectangle()

void pu::ui::render::Renderer::RenderRoundedRectangle | ( | const Color | clr,
|  | const i32 | x,
|  | const i32 | y,
|  | const i32 | width,
|  | const i32 | height,
|  | const i32 | radius
| ) |  |

## ◆ RenderRoundedRectangleFill()

void pu::ui::render::Renderer::RenderRoundedRectangleFill | ( | const Color | clr,
|  | const i32 | x,
|  | const i32 | y,
|  | const i32 | width,
|  | const i32 | height,
|  | const i32 | radius
| ) |  |

## ◆ RenderShadowSimple()

void pu::ui::render::Renderer::RenderShadowSimple | ( | const i32 | x,
|  | const i32 | y,
|  | const i32 | width,
|  | const i32 | height,
|  | const i32 | base_alpha,
|  | const u8 | main_alpha = `0xFF`
| ) |  |

## ◆ RenderTexture()

void pu::ui::render::Renderer::RenderTexture | ( | sdl2::Texture | texture,
|  | const i32 | x,
|  | const i32 | y,
|  | const TextureRenderOptions | opts = `TextureRenderOptions::Default`
| ) |  |

## ◆ ResetBaseRenderAlpha()

void pu::ui::render::Renderer::ResetBaseRenderAlpha | ( |  | ) |
| inline

## ◆ ResetBaseRenderPosition()

void pu::ui::render::Renderer::ResetBaseRenderPosition | ( |  | ) |
| inline

## ◆ SetBaseRenderAlpha()

void pu::ui::render::Renderer::SetBaseRenderAlpha | ( | const u8 | alpha | ) |
| inline

## ◆ SetBaseRenderPosition()

void pu::ui::render::Renderer::SetBaseRenderPosition | ( | const i32 | x,
|  | const i32 | y
| ) |  |
| inline

The documentation for this class was generated from the following file:

- Plutonium/include/pu/ui/render/render_Renderer.hpp